Bug 1480991 - [abrt] wxMaxima: MathCell::ClearCacheList(): wxmaxima killed by SIGSEGV
[abrt] wxMaxima: MathCell::ClearCacheList(): wxmaxima killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wxMaxima (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0feb26673dc34393fe3709bf334...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-13 07:14 EDT by igiwatson
Modified: 2017-12-12 05:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:16:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.08 KB, text/plain)
2017-08-13 07:14 EDT, igiwatson
no flags Details
File: cgroup (242 bytes, text/plain)
2017-08-13 07:14 EDT, igiwatson
no flags Details
File: core_backtrace (10.32 KB, text/plain)
2017-08-13 07:14 EDT, igiwatson
no flags Details
File: dso_list (13.18 KB, text/plain)
2017-08-13 07:15 EDT, igiwatson
no flags Details
File: environ (3.41 KB, text/plain)
2017-08-13 07:15 EDT, igiwatson
no flags Details
File: exploitable (82 bytes, text/plain)
2017-08-13 07:15 EDT, igiwatson
no flags Details
File: limits (1.29 KB, text/plain)
2017-08-13 07:15 EDT, igiwatson
no flags Details
File: maps (63.02 KB, text/plain)
2017-08-13 07:15 EDT, igiwatson
no flags Details
File: mountinfo (3.85 KB, text/plain)
2017-08-13 07:15 EDT, igiwatson
no flags Details
File: namespaces (102 bytes, text/plain)
2017-08-13 07:15 EDT, igiwatson
no flags Details
File: open_fds (1.00 KB, text/plain)
2017-08-13 07:15 EDT, igiwatson
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-08-13 07:15 EDT, igiwatson
no flags Details
File: var_log_messages (732 bytes, text/plain)
2017-08-13 07:15 EDT, igiwatson
no flags Details
File: weaverCosSin.wxmx (14.95 KB, application/octet-stream)
2017-08-13 07:15 EDT, igiwatson
no flags Details

  None (edit)
Description igiwatson 2017-08-13 07:14:49 EDT
Description of problem:
Was editting wxMaxima sheet.
Doubled clicked on small triangle, top-left of "text cell".
Crashed.
Does it every time.
Will up load sheet.
First text cell, marks 'NS's...'

Version-Release number of selected component:
wxMaxima-16.04.2-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/wxmaxima /home/igw/work/rb_dua/system/weaverCosSin44.wxmx
crash_function: MathCell::ClearCacheList
executable:     /usr/bin/wxmaxima
global_pid:     4994
kernel:         4.11.12-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1004

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 MathCell::ClearCacheList at MathCell.cpp:123
 #1 GroupCell::Hide at GroupCell.cpp:1231
 #2 MathCtrl::OnMouseLeftInGcLeft at MathCtrl.cpp:1025
 #3 MathCtrl::OnMouseLeftDown at MathCtrl.cpp:1167
 #4 wxAppConsoleBase::CallEventHandler at src/common/appbase.cpp:623
 #5 wxEvtHandler::ProcessEventIfMatchesId at src/common/event.cpp:1390
 #6 wxEventHashTable::HandleEvent at src/common/event.cpp:996
 #7 wxEvtHandler::TryHereOnly at src/common/event.cpp:1587
 #8 wxEvtHandler::TryBeforeAndHere at include/wx/event.h:3671
 #9 wxEvtHandler::ProcessEventLocally at src/common/event.cpp:1520
Comment 1 igiwatson 2017-08-13 07:14:56 EDT
Created attachment 1312659 [details]
File: backtrace
Comment 2 igiwatson 2017-08-13 07:14:57 EDT
Created attachment 1312660 [details]
File: cgroup
Comment 3 igiwatson 2017-08-13 07:14:59 EDT
Created attachment 1312661 [details]
File: core_backtrace
Comment 4 igiwatson 2017-08-13 07:15:01 EDT
Created attachment 1312662 [details]
File: dso_list
Comment 5 igiwatson 2017-08-13 07:15:02 EDT
Created attachment 1312663 [details]
File: environ
Comment 6 igiwatson 2017-08-13 07:15:04 EDT
Created attachment 1312664 [details]
File: exploitable
Comment 7 igiwatson 2017-08-13 07:15:05 EDT
Created attachment 1312665 [details]
File: limits
Comment 8 igiwatson 2017-08-13 07:15:07 EDT
Created attachment 1312666 [details]
File: maps
Comment 9 igiwatson 2017-08-13 07:15:08 EDT
Created attachment 1312667 [details]
File: mountinfo
Comment 10 igiwatson 2017-08-13 07:15:10 EDT
Created attachment 1312668 [details]
File: namespaces
Comment 11 igiwatson 2017-08-13 07:15:11 EDT
Created attachment 1312669 [details]
File: open_fds
Comment 12 igiwatson 2017-08-13 07:15:12 EDT
Created attachment 1312670 [details]
File: proc_pid_status
Comment 13 igiwatson 2017-08-13 07:15:14 EDT
Created attachment 1312671 [details]
File: var_log_messages
Comment 14 igiwatson 2017-08-13 07:15:15 EDT
Created attachment 1312672 [details]
File: weaverCosSin.wxmx
Comment 15 Fedora End Of Life 2017-11-16 10:37:19 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2017-12-12 05:16:48 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.